{
  modulesPath,
  lib,
  pkgs,
  pubkeys,
  ...
}:
{
  imports = [
    (modulesPath + "/profiles/qemu-guest.nix")
    ./disk-config.nix
    ../../modules/nix
  ];

  boot.loader.grub = {
    efiSupport = true;
    efiInstallAsRemovable = true;
  };

  modules.server.navidrome = {
    enable = true;
    library = {
      path = "/mnt/music";
      type = "nfs";
      source = {
        ip = "192.168.178.21";
        path = "/mnt/Fort/data/music";
      };
    };
    settings = {
      Address = "0.0.0.0";
      Port = 4533;
    };
  };

  services.openssh.enable = true;

  environment.systemPackages = map lib.lowPrio [
    pkgs.curl
  ];

  users.users.root.openssh.authorizedKeys.keys = [ pubkeys.ny ];

  system.stateVersion = "23.11";
}
